Get Providers by Category
curl --request GET \
--url https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId} \
--header 'secretKey: <api-key>'import requests
url = "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}"
headers = {"secretKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {secretKey: '<api-key>'}};
fetch('https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"secretKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("secretKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}")
.header("secretKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["secretKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "00",
"message": "Success",
"data": [
{
"id": 101,
"name": "Abuja Electricity (AEDC)",
"code": "AEDC",
"categoryId": 1
},
{
"id": 102,
"name": "Ikeja Electric (IKEDC)",
"code": "IKEDC",
"categoryId": 1
}
]
}Remita VAS Vending
Get Providers by Category
Filter active biller providers by category identifier (e.g. 1 for Electricity, 2 for Airtime, 3 for Data).
GET
/
vending
/
providers
/
category
/
{categoryId}
Get Providers by Category
curl --request GET \
--url https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId} \
--header 'secretKey: <api-key>'import requests
url = "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}"
headers = {"secretKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {secretKey: '<api-key>'}};
fetch('https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"secretKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("secretKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}")
.header("secretKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-demo.systemspecsng.com/services/connect-gateway/api/v1/vending/providers/category/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["secretKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "00",
"message": "Success",
"data": [
{
"id": 101,
"name": "Abuja Electricity (AEDC)",
"code": "AEDC",
"categoryId": 1
},
{
"id": 102,
"name": "Ikeja Electric (IKEDC)",
"code": "IKEDC",
"categoryId": 1
}
]
}Retrieve all billers and utility distribution companies operating under a specific category identifier.
Example Response for Electricity (
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
categoryId | integer | Yes | The unique numerical category ID (e.g. 1 for Electricity). |
Example Response for Electricity (categoryId: 1)
{
"message": "successful",
"status": "00",
"data": {
"totalPage": 1,
"totalContent": 14,
"items": [
{
"code": "aedc",
"name": "Abuja Electricity Distribution Company",
"description": "AEDC Prepaid and Postpaid"
},
{
"code": "ekedc",
"name": "Eko Electricity Distribution Company",
"description": "EKEDC Prepaid and Postpaid"
},
{
"code": "ikedc",
"name": "Ikeja Electricity Distribution Company",
"description": "IKEDC Prepaid and Postpaid"
}
]
}
}